<template>
  <section class="badge-container">
    <div class="badge" v-if="show">
      <div class="value">
        {{ value }}
      </div>
    </div>
    <slot />
  </section>
</template>

<script>
export default {
  name: "Badge",
  props: {
    value: {
      type: String,
      default: "0"
    },
    show: {
      type: Boolean,
      default: true
    }
  }
}
</script>

<style lang="stylus" scoped>
@import '~assets/styles/variables';

.badge-container
  position relative

.badge
  position absolute 
  z-index 2
  top 0
  right 0
  box-shadow 0 .2rem 1.5rem rgba($primary, .6)
  padding 1.2rem
  border-radius 50%
  background-color $primary

.value
  position absolute
  top 50%
  left 50%
  transform translate(-49%, -44%)
  font-size 1.4rem
  color $black-darken
  font-weight 400 
  z-index 3
</style>